/* First steps in econometrics */
/* Chapter 7: 7-B */
/* Ryuichi Tanaka (University of Tokyo) */

clear

use 7_3_happy_work

regress happy_work commute income yeduc

regress happy_work commute income yeduc female female_commute female_yeduc female_income
test female female_commute female_yeduc female_income
test commute + female_commute = 0

regress happy_work commute income yeduc female female_commute female_yeduc female_income, robust
test female female_commute female_yeduc female_income
test commute + female_commute = 0

regress happy_work commute income yeduc if female==0
regress happy_work commute income yeduc if female==1
