/* First steps in econometrics */
/* Chapter 10: 10-A */
/* Ryuichi Tanaka (University of Tokyo) */

clear
set more off

use 10_2_work

regress mowork15 mocograd pacograd life15 academic15 books15 
predict score
summarize score
tabulate score

summarize work if mowork15==0 & score<.65
summarize work if mowork15==1 & score<.65


regress work mowork15 if score<.65
regress work mowork15 if score<.7 & score>.65
regress work mowork15 if score<.74 & score>.7
regress work mowork15 if score>.74 & score<.78
regress work mowork15 if score>.78 & score<.82
regress work mowork15 if score>.82

regress work mowork15
regress work mowork15 score
